﻿.item.yelp{margin-top:8px;margin-bottom:8px;}
.item.yelp img{max-height:240px;visibility:hidden;opacity:0;}
.item.yelp .image{background-position:center;background-repeat:no-repeat;background-size:cover;position:relative;}
.item.yelp .image .image-link{position:absolute;top:0;left:0;width:100%;height:100%;}
.item.yelp .title{color:var(--primary-color-500);font-size:1.4rem;font-weight:500;margin:8px 0;display:block;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;padding: 3px;}
.item.yelp  i[data-spacer]{margin:4px 0;}
.item.yelp [data-rating]{width:130px;}
.item.yelp .reviews{display:inline-block;line-height:24px;}
.item.yelp [data-rating]>i{position:relative;display:inline-block;}
.item.yelp [data-rating]>i:before,.item.yelp [data-rating]>i:after{content:"star";font-family: "Material Icons";text-rendering: optimizeLegibility;font-feature-settings: 'liga' 1;font-style: normal;text-transform: none;line-height: 1;font-size: 24px;width: 24px;height: 24px;display: inline-block;overflow: hidden;-webkit-font-smoothing: antialiased;transform:translateX(-2px);opacity:0.16;}
.item.yelp [data-rating]>i:after{position:absolute;left:0;color:rgb(248, 193, 0);opacity:1;}
.item.yelp [data-rating="0"]>i:after,.item.yelp [data-rating^="1"]>i:first-child~i:after,.item.yelp [data-rating^="2"]>i:first-child+i~i:after,.item.yelp [data-rating^="3"]>i:first-child+i+i~i:after,.item.yelp [data-rating^="4"]>i:first-child+i+i+i~i:after{opacity:0;}
.item.yelp [data-rating^="4"][data-rating*="."]:not([data-rating$=".0"])>i:first-child+i+i+i+i:after,
.item.yelp [data-rating^="3"][data-rating*="."]:not([data-rating$=".0"])>i:first-child+i+i+i:after,
.item.yelp [data-rating^="2"][data-rating*="."]:not([data-rating$=".0"])>i:first-child+i+i:after,
.item.yelp [data-rating^="1"][data-rating*="."]:not([data-rating$=".0"])>i:first-child+i:after,
.item.yelp [data-rating^="0"][data-rating*="."]:not([data-rating$=".0"])>i:first-child:after{opacity:1;width:50%;overflow:hidden;}

.categories{max-width:320px;margin:8px 0 0 0;}
.categories>label{padding-right:8px;font-size:16px;margin:0;}
